%global _python_bytecompile_errors_terminate_build 0

Epoch: 1

%global install_loc %{_datadir}/eclipse/dropins

Summary: Eclipse Python development plug-in
Name:    eclipse-pydev
Version:          3.7.1
Release:          1%{?dist}
License:          EPL
URL:              http://pydev.org

Source0:          https://github.com/fabioz/Pydev/archive/pydev_3_7_1.tar.gz

# Remove windows specific code that manipulates the windows registry
Patch0:           remove-winregistry.patch
Patch1:           remove-iInfo-error.patch

# Allow system jython interpreter to be configured in preferences
Patch2:           system-jython-interpreter.patch

BuildRequires:    java-devel >= 1.7.0
BuildArch:        noarch

Requires: eclipse-platform
Requires: python
Requires: apache-commons-logging
Requires: ws-commons-util
Requires: xmlrpc-common
Requires: xmlrpc-client
Requires: xmlrpc-server
Requires: jython >= 2.7
Requires: pylint
Requires: python-django 
Requires: python-ipython-console
Requires: python-libs
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-mylyn-context-team >= 3.5.0
BuildRequires:    eclipse-mylyn-ide >= 3.5.0
BuildRequires:    javapackages-tools >= 0:1.5
BuildRequires:    apache-commons-logging
BuildRequires:    ws-commons-util
BuildRequires:    xmlrpc-common
BuildRequires:    xmlrpc-client
BuildRequires:    xmlrpc-server
BuildRequires:    jython >= 2.7
BuildRequires:    tycho-extras
BuildRequires:    feclipse-maven-plugin
BuildRequires:    eclipse-p2-discovery

%description
The eclipse-pydev package contains Eclipse plugins for
Python development.

%package  mylyn
Summary:  Pydev Mylyn Focused UI
Requires: eclipse-mylyn-context-team >= 3.5.0
Requires: eclipse-mylyn-ide >= 3.5.0
Requires: %{name} = %{epoch}:%{version}-%{release}

%description mylyn
Mylyn Task-Focused UI extensions for Pydev.

%prep
%setup -q -n Pydev-pydev_3_7_1
%patch0
%patch1 -p1
%patch2 -p1

# remove pre-generated build files
find . -name build.xml | xargs rm

# remove pre-built jars
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
rm -rf plugins/org.python.pydev.jython/Lib

# link to system jars
ln -sf %{_javadir}/jython/jython.jar \
       plugins/org.python.pydev.jython/jython.jar

ln -sf %{_datadir}/jython/Lib \
       plugins/org.python.pydev.jython/Lib

ln -sf %{_javadir}/commons-logging.jar \
       plugins/org.python.pydev.shared_interactive_console/commons-logging-1.1.1.jar

ln -sf %{_javadir}/ws-commons-util.jar \
       plugins/org.python.pydev.shared_interactive_console/ws-commons-util-1.0.2.jar

ln -sf %{_javadir}/xmlrpc-client.jar \
       plugins/org.python.pydev.shared_interactive_console/xmlrpc-client-3.1.3.jar

ln -sf %{_javadir}/xmlrpc-common.jar \
       plugins/org.python.pydev.shared_interactive_console/xmlrpc-common-3.1.3.jar

ln -sf %{_javadir}/xmlrpc-server.jar \
       plugins/org.python.pydev.shared_interactive_console/xmlrpc-server-3.1.3.jar

%build
xmvn -o clean verify -DskipTests

%install
installDir=${RPM_BUILD_ROOT}/%{install_loc}/pydev
install -d -m755 $installDir
install -d -m755 ${installDir}-mylyn

xmvn -o org.fedoraproject:feclipse-maven-plugin:install -DsourceRepo=features/org.python.pydev.p2-repo/target/org.python.pydev.p2-repo-%{version}-SNAPSHOT.zip -DtargetLocation=$installDir

mv $installDir/plugins/*mylyn* ${installDir}-mylyn/plugins/
mv $installDir/features/*mylyn* ${installDir}-mylyn/features/

# deal with linked deps
pushd $installDir/plugins

file=`find . -name commons-logging-1.1.1.jar`
rm -f $file
ln -sf %{_javadir}/commons-logging.jar $file

file=`find . -name ws-commons-util-1.0.2.jar`
rm -f $file
ln -sf %{_javadir}/ws-commons-util.jar $file

file=`find . -name xmlrpc-client-3.1.3.jar`
rm -f $file
ln -sf %{_javadir}/xmlrpc-client.jar $file

file=`find . -name xmlrpc-common-3.1.3.jar`
rm -f $file
ln -sf %{_javadir}/xmlrpc-common.jar $file

file=`find . -name xmlrpc-server-3.1.3.jar`
rm -f $file
ln -sf %{_javadir}/xmlrpc-server.jar $file

# Symlink system jython and libs
rm -rf org.python.pydev.jython_*/Lib
ln -sf %{_datadir}/jython/Lib \
       org.python.pydev.jython_*
rm -rf org.python.pydev.jython_*/jython.jar
ln -sf %{_javadir}/jython/jython.jar \
       org.python.pydev.jython_*
popd

# convert .py$ files from mode 0644 to mode 0755
sixFourFourfiles=$(find ${RPM_BUILD_ROOT} -name '*\.py' -perm 0644 | xargs)
if [ ${sixFourFourfiles:-0} -ne 0 ]; then
  chmod 0755 ${sixFourFourfiles}
fi

%post
ln -sf /usr/lib`arch | sed 's/x86_//;s/i686//'`/python2.7/optparse.py %{_datadir}/jython/Lib/optparse.py

%postun
rm -f  %{_datadir}/jython/Lib/optparse.py

%files
%doc LICENSE.txt README.txt
%{install_loc}/pydev

%files mylyn
%doc LICENSE.txt
%{install_loc}/pydev-mylyn

%changelog
* Thu Sep 18 2014 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.1-1
- Update to upstream 3.7.1.

* Thu Jul 31 2014 Mat Booth <mat.booth@redhat.com> - 1:3.6.0-1
- Update to latest upstream release
- Require jython 2.7
- Remove no longer needed patches

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jun 04 2014 Mat Booth <mat.booth@redhat.com> - 1:3.5.0-3
- Patch to allow system jython interpreter to be configured in preferences

* Mon Jun 02 2014 Mat Booth <mat.booth@redhat.com> - 1:3.5.0-2
- Patch to build with latest version of jython
- Install license files
- No longer need to package a portion of jython's lib dir

* Thu May 29 2014 Alexander Kurtakov <akurtako@redhat.com> 1:3.5.0-1
- Update to 3.5.0.

* Thu Mar 20 2014 Alexander Kurtakov <akurtako@redhat.com> 1:3.4.1-1
- Update to 3.4.1.

* Wed Feb 12 2014 Alexander Kurtakov <akurtako@redhat.com> 1:3.3.3-1
- Update to 3.3.3.

* Mon Dec 30 2013 Alexander Kurtakov <akurtako@redhat.com> 1:3.2.0-1
- Update to 3.2.0.

* Fri Dec 13 2013 Alexander Kurtakov <akurtako@redhat.com> 1:3.1.0-1
- Update to 3.1.0.

* Mon Nov 11 2013 Alexander Kurtakov <akurtako@redhat.com> 1:3.0-1
- Update to 3.0.
- Drop old changelog now that we move to tycho builds.
